summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorDirkjan Ochtman <djc@gentoo.org>2011-10-07 10:49:26 +0000
committerDirkjan Ochtman <djc@gentoo.org>2011-10-07 10:49:26 +0000
commit2f57a765af83c0d146cf13de4f4b5c6d1d2a47e0 (patch)
tree18a3a9db1b54faddb13bd5e5f93cfbb81295707e /eclass
parentRespect options from shebangs of target scripts in wrapper scripts generated (diff)
downloadgentoo-2-2f57a765af83c0d146cf13de4f4b5c6d1d2a47e0.tar.gz
gentoo-2-2f57a765af83c0d146cf13de4f4b5c6d1d2a47e0.tar.bz2
gentoo-2-2f57a765af83c0d146cf13de4f4b5c6d1d2a47e0.zip
Improve support for SELinux in python_merge_intermediate_installation_images().
(Patch by Arfrever.)
Diffstat (limited to 'eclass')
-rw-r--r--eclass/python.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/python.eclass b/eclass/python.eclass
index ee5c175a60d0..d56918590b4e 100644
--- a/eclass/python.eclass
+++ b/eclass/python.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python.eclass,v 1.133 2011/10/07 10:48:24 djc Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python.eclass,v 1.134 2011/10/07 10:49:26 djc Exp $
# @ECLASS: python.eclass
# @MAINTAINER:
@@ -1573,7 +1573,7 @@ for file in sorted(files_set):
popd > /dev/null || die "popd failed"
if ROOT="/" has_version sys-apps/coreutils; then
- cp -fr --preserve=all "${intermediate_installation_images_directory}/${PYTHON_ABI}/"* "${D}" || die "Merging of intermediate installation image for Python ABI '${PYTHON_ABI} into installation image failed"
+ cp -fr --preserve=all --no-preserve=context "${intermediate_installation_images_directory}/${PYTHON_ABI}/"* "${D}" || die "Merging of intermediate installation image for Python ABI '${PYTHON_ABI} into installation image failed"
else
cp -fpr "${intermediate_installation_images_directory}/${PYTHON_ABI}/"* "${D}" || die "Merging of intermediate installation image for Python ABI '${PYTHON_ABI} into installation image failed"
fi